CQMAKEDB(1)

NAME
cqmakedb - create codequery database

SYNOPSIS

cqmakedb [-s <sqdbfile> [-c <cscope.out>] [-t <ctags>]] [-p] [-d] [-v] [-h]

OPTIONS

-s
    CodeQuery sqlite3 db file path

-c
    cscope.out file path

-t
    ctags tags file path

-p
    vacuum, compact database (may take more time)

-d
    debug

-v
    version

-h
    help

DESCRIPTION

The combinations possible are -s -c, -s -t, -s -c -t The additional optional arguments are -p and -d If -c is present then sqdbfile need not exist. It will be created. If -t is present but not -c, then sqdbfile has to exist. Ctags info will be added to it.

COPYRIGHT

Copyright 2013-2015 ruben2020 https://github.com/ruben2020/

Website: https://github.com/ruben2020/codequery

AUTHOR

This manual page was written by ChangZhuo Chen <czchen@debian.org> for the Debian GNU/Linux system (but may be used by others).